org.gradle.api.artifacts.result

## Interface DependencyResult

- All Known Subinterfaces:
    ResolvedDependencyResult, UnresolvedDependencyResult

      @Incubating
      public interface DependencyResult

  An edge in the dependency graph. Provides information about the origin of the dependency and the requested component.
  See Also:
    `ResolutionResult`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResolvedComponentResult` | `getFrom()` Returns the origin of the dependency.
    `ComponentSelector` | `getRequested()` Returns the requested component.

- - ### Method Detail

    - #### getRequested

          ComponentSelector getRequested()

      Returns the requested component.
      Returns:
        the requested component

    - #### getFrom

          ResolvedComponentResult getFrom()

      Returns the origin of the dependency.
      Returns:
        the origin of the dependency